Skip to content
Browse files

Fix deprecation warning about Config; use RbConfig when available

  • Loading branch information...
1 parent aeeb731 commit 71495b6b0a30eb08178b970395907201a1522db8 @ttencate committed Jul 10, 2012
Showing with 1 addition and 1 deletion.
  1. +1 −1 lib/ticgit-ng.rb
View
2 lib/ticgit-ng.rb
@@ -16,7 +16,7 @@
require 'git'
#Only redefine if we are not using 1.9
-unless Config::CONFIG["ruby_version"][/^\d\.9/]
+unless Object.const_get(defined?(RbConfig) ? :RbConfig : :Config)::CONFIG["ruby_version"][/^\d\.9/]
# FIXME: Monkeypatch git until fixed upstream
module Git
class Lib

0 comments on commit 71495b6

Please sign in to comment.
Something went wrong with that request. Please try again.